Download it now!
Bug 94512 - SIDEBAR collapses when previewing a document
Summary: SIDEBAR collapses when previewing a document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar Print-Preview
  Show dependency treegraph
 
Reported: 2015-09-25 19:08 UTC by Jean-Francois Nifenecker
Modified: 2019-12-07 03:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Francois Nifenecker 2015-09-25 19:08:34 UTC
Previewing a document (Writer or Calc) causes the sidebar to slightly collapse when it is docked along with the Navigator. After a few previews, the Sidebar is almost squeezed and the Navigator takes almost all the vertical estate.

To reproduce:
-- Dock the Navigator on the right side, above or under the Sidebar.
-- Call File>Preview a few times.

Et voila.
Comment 1 Buovjaga 2015-09-28 09:12:22 UTC
Reproduced.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2016-11-08 10:29:29 UTC Comment hidden (obsolete)
Comment 3 pcharalk 2016-12-04 16:06:14 UTC
This bug is still present in 5.2.3.3
Comment 4 QA Administrators 2017-12-05 09:37:34 UTC Comment hidden (obsolete)
Comment 5 Jean-Francois Nifenecker 2017-12-05 11:43:25 UTC
The bug is still present in the latest Fresh version (5.4.4).

I'm eagerly waiting for a fix to this "functionality", since I'm heavily using styles/long documents/preview facilites.
Comment 6 QA Administrators 2018-12-06 03:57:49 UTC Comment hidden (obsolete)
Comment 7 Jean-Francois Nifenecker 2018-12-06 17:17:48 UTC
Still present in LibreOffice 6.0.7 and 6.1.3 (Linux).
This is a *very* annoying behaviour for people who swap frequently from standard view to print preview for big documents.
I beg for a fix!
Comment 8 QA Administrators 2019-12-07 03:43:09 UTC
Dear Jean-Francois Nifenecker,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug